
hirom   ; don't change this
header  ; comment out if your rom has no header

org $C260D0  ; location in both SNES versions
; org $C260B8  ; location in SFC/Japanese version
JSL $C0D814

org $C0D814
PHX
PHA
TDC  ; clean upper 8 bits
LDA $01,S
REP #$20
STA $004204
LDA $07,S  ; get our original index, we need it to look at the right stat for the right character
TAX
SEP #$20
LDA #$03   ; CHANGE THIS TO AFFECT GROWTH RATE
STA $004206   ; divide level by 3
JSL end  ; 8 cycles to jump, 6 cycles on return, 14 total
LDA $004216   ; get remainder
BNE no_inc_str  ; branch if level doesn't divide evenly
LDA $161A,X  ; get strength
INC A
CMP #$81  ; 129 or higher?
BCC str_skip
DEC A  ; cap at 128
str_skip:
STA $161A,X  ; new strength
no_inc_str:
TDC  ; clean the upper 8 bits
LDA $01,S  ; get level again
REP #$20
STA $004204
SEP #$20
LDA #$07   ; CHANGE THIS TO AFFECT GROWTH RATE
STA $004206  ; divide level by 7
JSL end  ; 8 cycles to jump, 6 cycles on return, 14 total
LDA $004216   ; get remainder
BNE no_inc_agi  ; branch if level doesn't divide evenly
LDA $161B,X  ; get agility
INC A
CMP #$81  ; 129 or higher?
BCC agi_skip
DEC A  ; cap at 128
agi_skip:
STA $161B,X  ; new agility
no_inc_agi:
TDC  ; clean the upper 8 bits
LDA $01,S  ; get level again
REP #$20
STA $004204
SEP #$20
LDA #$05   ; CHANGE THIS TO AFFECT GROWTH RATE
STA $004206  ; divide level by 5
JSL end  ; 8 cycles to jump, 6 cycles on return, 14 total
LDA $004216   ; get remainder
BNE no_inc_sta  ; branch if level doesn't divide evenly
LDA $161C,X  ; get stamina
INC A
CMP #$81  ; 129 or higher?
BCC sta_skip
DEC A  ; cap at 128
sta_skip:
STA $161C,X  ; new stamina
no_inc_sta:
TDC  ; clean the upper 8 bits
PLA
REP #$20
STA $004204
SEP #$20
LDA #$06   ; CHANGE THIS TO AFFECT GROWTH RATE
STA $004206  ; divide level by 6
JSL end  ; 8 cycles to jump, 6 cycles on return, 14 total
LDA $004216   ; get remainder
BNE no_inc_mag  ; branch if level doesn't divide evenly
LDA $161D,X  ; get magic
INC A
CMP #$81  ; 129 or higher?
BCC mag_skip
DEC A  ; cap at 128
mag_skip:
STA $161D,X  ; new magic
no_inc_mag:
PLX
TDC
LDA $E6F500,X  ; get MP growth
end:
RTL
